restore,filename="final_7_2003.idl"
rotated=fltarr(256,21,41)
; array that will hold the rotated field of view
for chan=1,21 do begin
print,string(format='("Channel ",I0)',chan)
pi=4.*atan(double(1.))
result=data_final[*,*,chan-1]
xgrid=findgen(128)*18./128.-9.
ygrid=findgen(256)*8./256.-4.
mag=4
; regrid the data onto a fine grid (how fine determined by mag - 4 is more than good enough)
finegrid2,result,xgrid,ygrid,result2,360*mag,160*mag,xgridn,ygridn
newy=160*mag
newx=360*mag
x0=newx/2
y0=newy/2
; This is then rotated about the centroid.
for angle=0,40 do begin
result3=rot(result2,angle*0.1-2.,1.,x0,y0,/pivot,cubic=-0.5)
; rotate the data so that the data at the centroid position maps back
; onto itself
; the centroid of the rotated response will no longer be at the centre
result3=result3[*,0:newy-1]
finegrid2,result3,xgridn,ygridn,resultr,128,256,xgridr,ygridr
y1=total(result,1)/total(result)
y2=total(resultr,1)/total(resultr)
if angle eq 0 then plot,ygrid,y1/max(y1),xrange=[-1.5,1.5],yrange=[-0.1,1.1],ystyle=1
oplot,ygridr,y2/max(y1)
;plot,ygridr,(y1-y2)/max(y1)
rotated[*,chan-1,angle]=total(resultr,1,/double)/total(resultr,/double)
endfor
endfor
save,filename="final_7_2003_rotated.idl",rotated
end
